Page MenuHomePhabricator

Please add *.geograph.org.uk to the wgCopyUploadsDomains whitelist of Wikimedia Commons
Closed, ResolvedPublic

Description

It would be useful for User:Geograph Update Bot to be able to upload by URL from Geograph Britain and Ireland. Geograph currently uses image URLs on www.geograph.org.uk and s0.geograph.org.uk, so please could you add *.geograph.org.uk to the wgCopyUploadsDomains whitelist?

It might be helpful to also add *.geograph.org.gg (Geograph Channel Islands) and geo.hlipp.de/geo-en.hlipp.de (Geograph Deutschland) in case I move Geograph Update Bot on to them.

Details

Related Gerrit Patches:
operations/mediawiki-config : masterAdd 4 URLs to $wgCopyUploadsDomain whitelist

Event Timeline

bjh21 created this task.Aug 25 2017, 11:37 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 25 2017, 11:37 AM
Urbanecm triaged this task as Medium priority.
Restricted Application added a project: User-Urbanecm. · View Herald TranscriptAug 25 2017, 12:20 PM

Change 373873 had a related patch set uploaded (by Urbanecm; owner: Urbanecm):
[operations/mediawiki-config@master] Add 4 URLs to $wgCopyUploadsDomain whitelist

https://gerrit.wikimedia.org/r/373873

Will be deployed at Monday between 13:00 and 14:00 UTC:

Urbanecm moved this task from Backlog to To deploy on the User-Urbanecm board.

Change 373873 merged by jenkins-bot:
[operations/mediawiki-config@master] Add 4 URLs to $wgCopyUploadsDomain whitelist

https://gerrit.wikimedia.org/r/373873

Mentioned in SAL (#wikimedia-operations) [2017-08-28T13:21:25Z] <zfilipin@tin> Synchronized wmf-config/InitialiseSettings.php: SWAT: [[gerrit:373873|Add 4 URLs to $wgCopyUploadsDomain whitelist (T174152)]] (duration: 00m 45s)

Urbanecm closed this task as Resolved.Aug 28 2017, 1:56 PM